gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-merchant] 02/02: added deposit total


From: gnunet
Subject: [taler-merchant] 02/02: added deposit total
Date: Mon, 19 Apr 2021 08:00:29 +0200

This is an automated email from the git hooks/post-receive script.

sebasjm pushed a commit to branch master
in repository merchant.

commit 760c4183ea4c64495fb5048cd760a330a2edc9b2
Author: Sebastian <sebasjm@gmail.com>
AuthorDate: Mon Apr 19 03:00:18 2021 -0300

    added deposit total
---
 src/testing/test_merchant_order_creation.sh | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/src/testing/test_merchant_order_creation.sh 
b/src/testing/test_merchant_order_creation.sh
index 58d8e332..065c5274 100755
--- a/src/testing/test_merchant_order_creation.sh
+++ b/src/testing/test_merchant_order_creation.sh
@@ -152,9 +152,6 @@ PAY_URL=`jq -e -r .taler_pay_uri < $LAST_RESPONSE`
 # fi
 echo OK
 
-# PAY_DEADLINE=`jq -r .contract_terms.pay_deadline.t_ms < $LAST_RESPONSE`
-# WIRE_DEADLINE=`jq -r .contract_terms.wire_transfer_deadline.t_ms < 
$LAST_RESPONSE`
-
 echo -n "First withdraw wallet"
 rm $WALLET_DB
 taler-wallet-cli --no-throttle --wallet-db=$WALLET_DB api 
'withdrawTestBalance' \
@@ -214,6 +211,14 @@ then
     exit 1
 fi
 
+DEPOSIT_TOTAL=`jq -r .deposit_total < $LAST_RESPONSE`
+
+if [ "$DEPOSIT_TOTAL" == "TESTKUDOS:0" ]
+then
+    echo 'deposit total is zero, expected greater than zero. got:' 
$DEPOSIT_TOTAL `cat $LAST_RESPONSE`
+    exit 1
+fi
+
 echo Removing password from account 43
 taler-bank-manage -c $CONF --with-db postgres:///$TALER_DB django 
changepassword_unsafe 43 x >/dev/null 2>/dev/null
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]